#ifndef EUROVALUE_H
#define EUROVALUE_H 1

#ifndef _WIN32
#include <stdint.h>
#endif //_WIN32
#include <stdlib.h>


#ifndef BOOL
	#define BOOL	short
#endif //BOOL

#ifndef _WIN32

	#ifndef FALSE
	#define FALSE	(0)
	#endif //

	#ifndef TRUE
	#define TRUE	(-1)
	#endif //

	#ifndef ULONGLONG
		typedef uint64_t	ULONGLONG;
		typedef int64_t		LONGLONG;
	#endif //ULONGLONG
#endif //_WIN32


double	Round(double dVal, short iPrec);
void	GetValue(short money, short index, BOOL showCurrency, char* str);
void	GetVerbal(char* outStr, double money, BOOL showZero, BOOL showCurrency);


#define PHP_EUROVALUE_WORLD_VERSION "1.1.3"
#define PHP_EUROVALUE_WORLD_EXTNAME "euroValue"

PHP_FUNCTION(euroValue_version);
PHP_FUNCTION(euroValue_UTF8_el);
#ifdef _WIN32
PHP_FUNCTION(euroValue_ANSI_el);
#endif //_WIN32

PHP_MINFO_FUNCTION(euroValue);

extern zend_module_entry euroValue_module_entry;
#define phpext_euroValue_ptr &euroValue_module_entry

#endif

